c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the daytime polar snow processing path.
c
c!Revision History:
c 06/04 Collection 5  R. Frey:
c Added 'dps11_12hi', 'dfs11_12adj'
c 10/04 Collection 5b R. Frey:
c Added 'dps4_11' variables.
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-35.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c ... Daytime polar snow thresholds

      real dpsref1(4)
      real dpsref3(4)
      real dpsh20(4) 
      real dpstci(2)
      real dps11_12hi(1)
      real dps11_12adj(1)
      real dps4_11l(4)
      real dps4_11h(4)
      real dps4_11m1(4)
      real dps4_11m2(4)
      real dps4_11m3(4)
      real bt_11_bnds3(4)

      common /dpsnow_thresholds/ dpsref1,dpsref3,
     +   dpsh20,dpstci,dps11_12hi,dps11_12adj,dps4_11l,
     +   dps4_11h,dps4_11m1,dps4_11m2,dps4_11m3,bt_11_bnds3
