C!F77-INC************************************************************
c
C!Description: Include file containing parameters which will be used
c              by a number of routines in the cloud mask processing
c              package.
c
c!Input Parameters: N/A
c
c!Output Parameters: N/A
c
c!Revision History:
c 04/14/1999 fhliang fixed prolog.
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c
c!END****************************************************************

c       Include file to set main cloud mask processing
c       parameters

        integer MODFILLEN
        parameter(MODFILLEN = 15000)

c       Number of 1km pixels in a MODIS line of data
        integer NPIXEL 
        parameter(NPIXEL = 1500)

c       Number of lines in the processing box (context)
        integer NLCNTX
        parameter(NLCNTX = 3)

c       Number of elements in the processing box (context)
        integer necntx
        parameter(necntx = 3)

c       Number of lines per scan cube
        integer SCANS_CUBE
        parameter(SCANS_CUBE = 10)

c       Number of bands used in cloud mask processing
        integer INBAND
        parameter(INBAND = 36)

c       Number of 250m visible band reflectances read
        integer VIS_BAND
        parameter(VIS_BAND = 2)

c       Actual number of bands used in algorithm
        integer bands_used
        parameter(bands_used = 19)

c       Number of bands used in sun-glint algorithm
        integer sg_bands_used
        parameter(sg_bands_used = 8)

c       Number of IR channels used
c        The number of ir channels is really 17, but one is an embedded
c       1.38 micron vis channel.
        integer ir_band 
        parameter(ir_band = 17)

c       Number of bands to do spatial variability tests on
        integer var_band
        parameter(var_band = 2)

c       Number of 250km fov's within a 1km footprint
        integer NUM250_PER_1KM
        parameter(NUM250_PER_1KM = 16)


c       Maximum number of elements in a MODIS line of data
c       (2 visible channels)
        integer NX
        parameter(NX = 4 * NPIXEL)

c       Maximum number of lines in a scan cube of data
c       (2 visible channels)
        integer NY
        parameter(NY = 4 * SCANS_CUBE)
 
c       Bad data value
        real bad_data
        parameter (bad_data = -999.0)

c       Bad data value
        real misg
        parameter (misg = -99.0)

c       Metadata PSA missing value
        real Meta_misg
        parameter (Meta_misg = -99999.0)

c ----------------- FLAT INTERFACE CONSTANTS -----------------------

c       invalid flag
        byte L1B_INVALID
        parameter(L1B_INVALID=-1)
 
c       valid flag
        byte L1B_VALID
        parameter(L1B_VALID=0)

c       minimum MODIS band number
        integer L1B_MINBAND
        parameter(L1B_MINBAND=1)

c       maximum MODIS band number
        integer L1B_MAXBAND
        parameter(L1B_MAXBAND=38)

