C---------------------------------------------------------------------
C!F77-INC
C
C!DESCRIPTION:  MOD35 include file containing type declarations and
C               parameter statements for verification of thresholds
C               version, both satellite id (Terra or Aqua) and version
C               id. The thresholds version ID ('thr_ver_id_Aqua' and
C               'thr_ver_id_Terra') will indicate the code version
C               which first used those thresholds. When a new thresholds
C               file is delivered, the code version will also always
C               change.
C
c!Input Parameters: N/A
c
c!Output Parameters: N/A
c
C!REVISION HISTORY:
c Original version
c 02/07/2002
c Updated version IDs for Collection 5b
c 10/04   R. Frey
c
C!TEAM-UNIQUE HEADER:
C
C   This software was developed by MODIS Science Team, UW-Madison.
C
C!REFERENCES and CREDITS:
C
C   Written by
C   Richard Frey                  02/07/02
C   University of Wisconsin-Madison
C   Space Science and Engineering Center
C   1225 W. Dayton St. Madison   WI 53706
C
C!END
C-----------------------------------------------------------------------

c     Variables
c     ver_string         String returned from thresholds file
c     ver_name           String searched for in thresholds file
c     thr_ver_id_Aqua    String containing current version id for Aqua
c     thr_ver_id_Terra   String containing current version id for Terra
c     thr_satid_terra    Identifier for Terra thresholds file 
c     thr_satid_aqua     Identifier for Aqua thresholds file 

      CHARACTER*80 ver_string
      CHARACTER*19 ver_name
      CHARACTER*6  thr_ver_id_Aqua, thr_ver_id_Terra
      CHARACTER*5  thr_satid_terra, thr_satid_aqua

      PARAMETER (ver_name='thresholds_file_ver')
      PARAMETER (thr_ver_id_Aqua='v5.1.0')
      PARAMETER (thr_ver_id_Terra='v5.1.0')
      PARAMETER (thr_satid_terra='Terra')
      PARAMETER (thr_satid_aqua='Aqua ')
