C--------------------------------------------------------------------
C  Copyright (C) 2002,  Space Science and Engineering Center, 
C  University C  of Wisconsin-Madison, Madison WI.
C      
C  This program is free software; you can redistribute it 
C  and/or modify it under the terms of the GNU General 
C  Public License as published by the Free Software Foundation; 
C  either version 2 of the License, or (at your option) any 
C  later version.
C
C  This program is distributed in the hope that it will be 
C  useful, but WITHOUT ANY WARRANTY; without even the implied 
C  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
C  See the  GNU General Public License for more details.
C
C  You should have received a copy of the GNU General Public 
C  License along with this program; if not, write to the Free 
C  Software Foundation, Inc., 59 Temple Place, Suite 330, 
C  Boston, MA  02111-1307 USA
C--------------------------------------------------------------------
C
C
      subroutine init_meta(
     &                      nscans,
     &                      max_pixel,
     &                      lines_in_edge,
     &                      pixels_in_edge
     &                    )

      implicit none
      save

c----------------------------------------------------------------------
C!F77
c
c!Description:
C     Routine for initializing variables needed in metadata routines.
C
c!Input parameters:
c
c nscans        Number of scans for this granule
C max_pixel     Maximum number of EV's per line in granule
c lines_in_edge Number of lines outside of processing region
c pixels_in_edge Number of elements outside of processing region
c
c!Output Parameters:
c None
c  
c!Revision History:
c
c Revision 1.1  1997/03/07  20:10:56  wolf
c Initial revision
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!END
c----------------------------------------------------------------------
c
      INCLUDE 'global.inc'

c --- parameters
      integer 		nscans
      integer 		lines_in_edge
      integer 		pixels_in_edge
      integer 		max_pixel

      max_pixel = 0
      nscans = 0
      lines_in_edge = (NLCNTX-1)/2
      pixels_in_edge = (NECNTX-1)/2

      return
      end
