C--------------------------------------------------------------------
C  Copyright (C) 2002,  Space Science and Engineering Center, 
C  University C  of Wisconsin-Madison, Madison WI.
C      
C  This program is free software; you can redistribute it 
C  and/or modify it under the terms of the GNU General 
C  Public License as published by the Free Software Foundation; 
C  either version 2 of the License, or (at your option) any 
C  later version.
C
C  This program is distributed in the hope that it will be 
C  useful, but WITHOUT ANY WARRANTY; without even the implied 
C  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
C  See the  GNU General Public License for more details.
C
C  You should have received a copy of the GNU General Public 
C  License along with this program; if not, write to the Free 
C  Software Foundation, Inc., 59 Temple Place, Suite 330, 
C  Boston, MA  02111-1307 USA
C--------------------------------------------------------------------
C
C
      SUBROUTINE STRLOWER( STRING )

C-------------------------------------------------------------------
C !F77
C
C !DESCRIPTION:
C     Convert all characters in the range [A-Z] to lowercase.
C
C !INPUT PARAMETERS:
C     STRING        On input, string variable.
C
C !OUTPUT PARAMETERS:
C     STRING        On output, string with all characters in the
C                   range [A-Z] converted to lowercase.
C
C !REVISION HISTORY:
C
C !TEAM-UNIQUE HEADER:
C     Developed by the MODIS Group, CIMSS/SSEC, UW-Madison.
C
C !DESIGN NOTES:
C     Original version by Liam.Gumley@ssec.wisc.edu
C
C !END
C--------------------------------------------------------------------
      IMPLICIT NONE
      SAVE

c ... Input arguments

      CHARACTER*(*) string

c ... Local variables

      INTEGER i, code

c ... Convert characters in the range [A-Z] to lower case

      do i = 1, len( string )
        code = ichar( string( i : i ) )
        if ( code .ge. 65 .and. code .le. 90 ) then
          string( i : i ) = char( code + 32 )
        endif
      end do

      END
